## aylet 0.5

=== Makefile ===
--- 
+++ 
@@ -78,7 +78,7 @@
 z80ops.o: z80ops.c cbops.c edops.c
 
 
-VERS=0.4
+VERS=0.5
 
 tgz: ../aylet-$(VERS).tar.gz
