=== debian/changelog ===
aylet (0.5-4) unstable; urgency=low

  * QA upload.
  * Convert to 3.0 (quilt) format (Closes: #1007480).

 -- Bastian Germann <bage@debian.org>  Thu, 25 Aug 2022 12:31:55 +0200

aylet (0.5-3) unstable; urgency=low

  * QA upload (Closes: #636740).
  * Switch away from yada (Closes: #636886) to dh.
  * Move homepage from descriptions to the source stanza.
  * Thanks to IRILL for sponsoring this BSP in Paris.

 -- Cyril Brulebois <kibi@debian.org>  Sun, 19 Feb 2012 17:42:35 +0000

aylet (0.5-2) unstable; urgency=low

  * Fix FTBFS when build twice in a row
    Thank to Patrick Winnertz (Closes: #442501)
  * Cleanup in packages file.
  * Fixed 'hyphen-used-as-minus-sign' in aylet.1 manpage.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Mon, 24 Sep 2007 16:24:49 +0200

aylet (0.5-1) unstable; urgency=low

  * New release version.
    Fixed a stupid bug where the fadeout time defaulted to zero.
  * GTK2 port
    Closes: #357495

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Mon, 15 Mar 2006 16:29:46 +0100

aylet (0.4-1) unstable; urgency=low

  * Initial Debian version. Closes: #332623.

 -- Krystian Wlosek <tygrys@waw.pdi.net>  Thu,  6 Oct 2005 17:01:56 +0200
