=== debian/control ===
Source: aylet
Maintainer: Debian QA Group <packages@qa.debian.org>
Section: otherosfs
Priority: optional
Standards-Version: 3.7.2
Homepage: http://www.worldofspectrum.org/
Build-Depends: libncurses5-dev, libgtk2.0-dev, debhelper (>= 8)

Package: aylet
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: aylet-gtk
Description: ncurses-based player for Spectrum '.ay' music files
 aylet plays music files in the `.ay' format. These files are
 essentially wrappers around bits of Z80 code which play music on the
 Sinclair ZX Spectrum 128's sound hardware - either the beeper, or
 (eponymously) the AY-3-8912 sound chip. Files using the Amstrad CPC
 ports are also supported.
 .
 One source of `.ay' files playable with aylet is "Project AY"
 on the World of Spectrum website:

Package: aylet-gtk
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends}
Suggests: aylet
Description: X-GTK2-based player for Spectrum '.ay' music files
 aylet plays music files in the `.ay' format. These files are
 essentially wrappers around bits of Z80 code which play music on the
 Sinclair ZX Spectrum 128's sound hardware - either the beeper, or
 (eponymously) the AY-3-8912 sound chip. Files using the Amstrad CPC
 ports are also supported.
 .
 One source of `.ay' files playable with aylet-gtk is "Project AY"
 on the World of Spectrum website:
