=== debian/rules ===
#!/usr/bin/make -f

CFLAGS += -DDRIVER_OSS

override_dh_auto_build:
	dh_auto_build -- gtk2
	mv xaylet aylet-gtk
	cp aylet.1 aylet-gtk.1

override_dh_clean:
	dh_clean
	rm -f aylet-gtk aylet-gtk.1 xaylet.1

override_dh_auto_install:
	# No-op, let's do everything through dh_install.

%:
	dh $@
